2019-12-14 00:20 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001715FSSCPmultiplayerpublic2008-07-07 05:50
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001715: Assert: index >= 0 in MissionLog.cpp line 486
DescriptionTried out a standalone with the build from Kara's scoring_changes.z7. Connected and started the game just fine but not too far into the mission I ran into the error. The crash was on the standalone side. Client seemed to be OK but crashed for no reason a few minutes later after I was back in the lobby. Nothing logged on why a runtime library error with abort retry ignore followed by the program not responding junk.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009425

FUBAR-BDHR (developer)

Last edited: 2008-06-29 22:51

Definitely reproducible. Uploading second instance from different mission.

~0009430

karajorma (administrator)

Last edited: 2008-07-02 14:43

I've already fixed this in my local tree (I think. I got a similar error but I'm not 100% sure it was from missionlog.cpp). I'll get you a build to test with. :)

~0009431

karajorma (administrator)

Try the build I posted here.

http://www.hard-light.net/forums/index.php/topic,54952
+Notes

-Issue History
Date Modified Username Field Change
2008-06-29 22:20 FUBAR-BDHR New Issue
2008-06-29 22:20 FUBAR-BDHR File Added: Media-06-29-08a.rar
2008-06-29 22:50 FUBAR-BDHR Note Added: 0009425
2008-06-29 22:51 FUBAR-BDHR Note Edited: 0009425
2008-06-29 22:51 FUBAR-BDHR File Added: Media-06-29-08b.rar
2008-07-02 14:42 karajorma Note Added: 0009430
2008-07-02 14:43 karajorma Note Edited: 0009430
2008-07-02 15:06 karajorma Status new => assigned
2008-07-02 15:06 karajorma Assigned To => karajorma
2008-07-03 03:58 karajorma Note Added: 0009431
2008-07-07 05:50 karajorma Status assigned => resolved
2008-07-07 05:50 karajorma Fixed in Version => 3.6.10
2008-07-07 05:50 karajorma Resolution open => fixed
+Issue History